id: d7_comment_field
label: Comment field configuration
migration_tags:
  - Drupal 7
  - Configuration
source:
  plugin: comment_type
  constants:
    entity_type: node
    type: comment
process:
  entity_type: 'constants/entity_type'
  field_name:
    -
      plugin: migration_lookup
      source: type
      migration: d7_comment_type
    -
      plugin: skip_on_empty
      method: row
  type: 'constants/type'
  'settings/comment_type': '@field_name'
destination:
  plugin: entity:field_storage_config
migration_dependencies:
  required:
    - d7_comment_type
